package dev.sonpx.loyalty.agent.core.memory;

import org.springframework.ai.chat.client.advisor.MessageChatMemoryAdvisor;
import org.springframework.ai.chat.memory.ChatMemory;

public interface AgentMemoryManager {
    MessageChatMemoryAdvisor getAdvisor();
    ChatMemory getChatMemory();
}
